Headers

  • Authorization string Required

    Authorization header

application/json

Body Required

  • contentType string Required

    content type (MIME type) of the file being uploaded

Responses

  • 200 application/json

    Attachment upload initiated successfully

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
    Hide response attributes Show response attributes object
    • uploadMethod string Required

      HTTP method to use for uploading the file

    • uploadUrl string(uri) Required

      Presigned URL to which the file should be uploaded, using {uploadMethod} as HTTP method

    • fileId string Required

      Identifier for the file to be uploaded in the system

  • 400

    The input provided was invalid

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
  • 401

    Unauthorized - Bearer token missing or invalid

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
  • 403

    Forbidden - User does not have access to post transactions

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
POST /fileUpload
curl \
 --request POST 'https://rest.api.24sevenoffice.com/v1/fileUpload' \
 --header "Content-Type: application/json" \
 --header "Authorization: string" \
 --data '{"contentType":"application/pdf"}'
Request examples
# Headers
Authorization: string

# Payload
{
  "contentType": "application/pdf"
}
Response examples (200)
# Headers
Access-Control-Allow-Origin: string
Access-Control-Allow-Credentials: string
X-Trace-Id: string

# Payload
{
  "uploadMethod": "PUT",
  "uploadUrl": "https://attachment.api.24sevenoffice.com/upload/abc123?signature=xyz",
  "fileId": 67890
}